## jcifs.smb
Class DosFileFilter

    java.lang.Object
      jcifs.smb.DosFileFilter

All Implemented Interfaces:
  SmbFileFilter

    public class DosFileFilter

extends java.lang.Object
implements SmbFileFilter

Field Summary
`protected int` `attributes`
`protected java.lang.String` `wildcard`

Constructor Summary
`DosFileFilter(java.lang.String wildcard, int attributes)`

Method Summary
`boolean` `accept(SmbFile file)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### wildcard

    protected java.lang.String wildcard

### attributes

    protected int attributes

Constructor Detail

### DosFileFilter

    public DosFileFilter(java.lang.String wildcard,
                         int attributes)

Method Detail

### accept

    public boolean accept(SmbFile file)
                   throws SmbException

  Specified by:
    `accept` in interface `SmbFileFilter`
  Throws:
    `SmbException`